Skip to content

Additional IPs

All operations require authentication.

2 operationsv2/publicCloud/project
Agent setup

List additional IPsProduction

GET
/v2/publicCloud/project/{projectId}/publicIp/additional

Returns the additional IPs of the project.

Path parameters

projectId
required
string

Project ID

Headers

X-Pagination-Cursor
string

Pagination cursor

X-Pagination-Size
integer

Pagination size

Response

200AdditionalIP[]successful operation
checksum
read-only
string

Computed hash representing the current target specification value

currentState
read-only
AdditionalIPCurrentState

Current state of the additional IP

currentTasks
read-only
CurrentTask[]

Ongoing asynchronous tasks related to the additional IP

id
read-only
ip

The additional IP address, used as identifier

resourceStatus
read-only
ResourceStatusEnum

Additional IP readiness in the system

ValuesCREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATING

Example uses projectId = string

$ curl https://api.eu.ovhcloud.com/v2/publicCloud/project/{projectId}/publicIp/additional \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "checksum": "string", "currentState": { "associatedResource": { "id": "string", "type": "GATEWAY" }, "block": "192.0.2.0/24", "id": "string", "ip": "192.0.2.0" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "192.0.2.0", "resourceStatus": "CREATING" }]

Get an additional IPProduction

GET
/v2/publicCloud/project/{projectId}/publicIp/additional/{id}

Returns the additional IP, including the resource it's associated with.

Path parameters

id
required
ip

Id

projectId
required
string

Project ID

Response

200AdditionalIPsuccessful operation
checksum
read-only
string

Computed hash representing the current target specification value

currentState
read-only
AdditionalIPCurrentState

Current state of the additional IP

currentTasks
read-only
CurrentTask[]

Ongoing asynchronous tasks related to the additional IP

id
read-only
ip

The additional IP address, used as identifier

resourceStatus
read-only
ResourceStatusEnum

Additional IP readiness in the system

ValuesCREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATING

Example uses id = 192.0.2.0, projectId = string

$ curl https://api.eu.ovhcloud.com/v2/publicCloud/project/{projectId}/publicIp/additional/{id} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "checksum": "string", "currentState": { "associatedResource": { "id": "string", "type": "GATEWAY" }, "block": "192.0.2.0/24", "id": "string", "ip": "192.0.2.0" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "192.0.2.0", "resourceStatus": "CREATING"}